| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ShaderHelperGLSL Class Reference

Utility class to help with generating shaders for GLSL. More...

`#include <OgreTerrainMaterialShaderHelpers.h>`

Inheritance diagram for Ogre::ShaderHelperGLSL:
[legend]

## Public Member Functions
virtual HighLevelGpuProgramPtr | generateFragmentProgram (const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)
virtual HighLevelGpuProgramPtr | generateVertexProgram (const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)
virtual void | updateParams (const SM2Profile *prof, const MaterialPtr &mat, const Terrain *terrain, bool compositeMap)

## Detailed Description

Utility class to help with generating shaders for GLSL.

## Member Function Documentation

## ◆ generateVertexProgram()

virtual HighLevelGpuProgramPtr Ogre::ShaderHelper::generateVertexProgram | ( | const SM2Profile * | prof,
|  | const Terrain * | terrain,
|  | TechniqueType | tt
| ) |  |
| virtual inherited

## ◆ generateFragmentProgram()

virtual HighLevelGpuProgramPtr Ogre::ShaderHelper::generateFragmentProgram | ( | const SM2Profile * | prof,
|  | const Terrain * | terrain,
|  | TechniqueType | tt
| ) |  |
| virtual inherited

## ◆ updateParams()

virtual void Ogre::ShaderHelper::updateParams | ( | const SM2Profile * | prof,
|  | const MaterialPtr & | mat,
|  | const Terrain * | terrain,
|  | bool | compositeMap
| ) |  |
| virtual inherited

The documentation for this class was generated from the following file:

- OgreTerrainMaterialShaderHelpers.h